## org.apache.poi.xwpf.usermodel
Enum BodyType

    java.lang.Object
      java.lang.Enum<BodyType>
          org.apache.poi.xwpf.usermodel.BodyType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BodyType>

    public enum BodyType

extends java.lang.Enum<BodyType>

9 Jan 2010

// TODO insert Javadoc here!

Author:
  epp

Enum Constant Summary
`DOCUMENT`
`FOOTER`
`FOOTNOTE`
`HEADER`
`TABLECELL`

Method Summary
`static BodyType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BodyType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DOCUMENT

    public static final BodyType DOCUMENT

### HEADER

    public static final BodyType HEADER

### FOOTER

    public static final BodyType FOOTER

### FOOTNOTE

    public static final BodyType FOOTNOTE

### TABLECELL

    public static final BodyType TABLECELL

Method Detail

### values

    public static BodyType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BodyType c : BodyType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BodyType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.